diff --git a/docs/en_US/column_dialog.rst b/docs/en_US/column_dialog.rst
index 26c5a8782..313fc5ead 100644
--- a/docs/en_US/column_dialog.rst
+++ b/docs/en_US/column_dialog.rst
@@ -109,7 +109,7 @@ Click the *Variables* tab to continue.
     :alt: Column dialog variables tab
     :align: center
 
-Use the *Variables* tab to to specify the number of distinct values that may be
+Use the *Variables* tab to specify the number of distinct values that may be
 present in the column; this value overrides estimates made by the ANALYZE
 command. Click the *Add* icon (+) to add a *Name*/*Value* pair:
 
diff --git a/docs/en_US/foreign_table_dialog.rst b/docs/en_US/foreign_table_dialog.rst
index c1be5feb1..e47fcedb3 100644
--- a/docs/en_US/foreign_table_dialog.rst
+++ b/docs/en_US/foreign_table_dialog.rst
@@ -49,7 +49,7 @@ Click the *Columns* tab to continue.
     :alt: Foreign table dialog columns tab
     :align: center
 
-Use the fields in the *Columns* tab to to add columns and their attributes to
+Use the fields in the *Columns* tab to add columns and their attributes to
 the table. Click the *Add* icon (+) to define a column:
 
 * Use the *Name* field to add a descriptive name for the column.
diff --git a/docs/en_US/menu_bar.rst b/docs/en_US/menu_bar.rst
index e9fc5d5c8..d2601a278 100644
--- a/docs/en_US/menu_bar.rst
+++ b/docs/en_US/menu_bar.rst
@@ -21,7 +21,7 @@ Use the *File* menu to access the following options:
 +-------------------------+---------------------------------------------------------------------------------------------------------+
 | Option                  | Action                                                                                                  |
 +=========================+=========================================================================================================+
-| *Preferences*           | Click to open the :ref:`Preferences <preferences>` dialog to to customize your pgAdmin settings.        |
+| *Preferences*           | Click to open the :ref:`Preferences <preferences>` dialog to customize your pgAdmin settings.        |
 +-------------------------+---------------------------------------------------------------------------------------------------------+
 | *Reset Layout*          | If you have modified the workspace, click to restore the default layout.                                |
 +-------------------------+---------------------------------------------------------------------------------------------------------+
diff --git a/docs/en_US/move_objects.rst b/docs/en_US/move_objects.rst
index b0bf35a32..239c9e16c 100644
--- a/docs/en_US/move_objects.rst
+++ b/docs/en_US/move_objects.rst
@@ -4,7 +4,7 @@
 `Move Objects Dialog`:index:
 ****************************
 
-Use the *Move Objects* dialog to to move database objects from one tablespace to
+Use the *Move Objects* dialog to move database objects from one tablespace to
 another tablespace.
 
 The *Move Objects* dialog organizes the movement of database objects with the
diff --git a/docs/en_US/package_dialog.rst b/docs/en_US/package_dialog.rst
index eb106471b..a8f9b1add 100644
--- a/docs/en_US/package_dialog.rst
+++ b/docs/en_US/package_dialog.rst
@@ -45,7 +45,7 @@ Click the *Security* tab to continue.
     :alt: Package dialog security tab
     :align: center
 
-Use the fields in the *Security* tab to to assign EXECUTE privileges for the
+Use the fields in the *Security* tab to assign EXECUTE privileges for the
 package to a role. Click the *Add* icon (+) to set privileges for the package:
 
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
diff --git a/docs/en_US/table_dialog.rst b/docs/en_US/table_dialog.rst
index 2da39a20f..f62fa6141 100644
--- a/docs/en_US/table_dialog.rst
+++ b/docs/en_US/table_dialog.rst
@@ -365,7 +365,7 @@ Click the *Columns* tab to continue.
     :alt: Table dialog exclusion constraint columns
     :align: center
 
-Use the fields in the *Columns* tab to to specify the column(s) to which the
+Use the fields in the *Columns* tab to specify the column(s) to which the
 constraint applies. Use the drop-down listbox next to *Column* to select a
 column and click the *Add* icon (+) to provide details of the action on the
 column:
diff --git a/docs/en_US/trigger_function_dialog.rst b/docs/en_US/trigger_function_dialog.rst
index 4076e6ec3..d60a06861 100644
--- a/docs/en_US/trigger_function_dialog.rst
+++ b/docs/en_US/trigger_function_dialog.rst
@@ -123,7 +123,7 @@ Click the *Security* tab to continue.
 Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign usage privileges for the trigger function
-to a role. Click the *Add* icon (+) to to add a role to the table.
+to a role. Click the *Add* icon (+) to add a role to the table.
 
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
index b4f4ca450..1481daed1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
@@ -405,7 +405,7 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
             if not status:
                 return internal_server_error(errormsg=res)
 
-            # we need oid to to add object in tree at browser, below sql will
+            # we need oid to add object in tree at browser, below sql will
             # gives the same
             last_system_oid = 0 if self.blueprint.show_system_objects else \
                 self.datlastsysoid
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
index bd8c9600b..21092153f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
@@ -630,7 +630,7 @@ It may have been removed by another user.
                     errormsg=res
                 )
 
-            # we need oid to to add object in tree at browser,
+            # we need oid to add object in tree at browser,
             # below sql will gives the same
             SQL = render_template(
                 "/".join([self.template_path, 'sql/oid.sql']),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index f101a1e3f..e764849a4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -490,7 +490,7 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
         if not status:
             return internal_server_error(errormsg=res)
 
-        # We need oid to to add object in tree at browser
+        # We need oid to add object in tree at browser
         SQL = render_template(
             "/".join([self.template_path, self._OID_SQL]), data=data
         )
@@ -598,7 +598,7 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
         if not status:
             return internal_server_error(errormsg=res)
 
-        # We need oid to to add object in tree at browser
+        # We need oid to add object in tree at browser
         SQL = render_template("/".join([self.template_path,
                                         self._OID_SQL]), coid=coid)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index 382e9bc3c..4daa07aee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -590,7 +590,7 @@ AND relkind != 'c'))"""
         if not status:
             return internal_server_error(errormsg=res)
 
-        # We need oid to to add object in tree at browser, below sql will
+        # We need oid to add object in tree at browser, below sql will
         # gives the same
         SQL = render_template("/".join([self.template_path,
                                         self._OID_SQL]),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
index 5bef11af3..1c23e5020 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
@@ -418,7 +418,7 @@ class FtsParserView(PGChildNodeView, SchemaDiffObjectCompare):
         if not status:
             return internal_server_error(errormsg=res)
 
-        # we need fts_parser id to to add object in tree at browser,
+        # we need fts_parser id to add object in tree at browser,
         # below sql will give the same
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index 7715cf1a7..4f9841744 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -389,7 +389,7 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
         if not status:
             return internal_server_error(errormsg=res)
 
-        # we need fts_template id to to add object in tree at browser,
+        # we need fts_template id to add object in tree at browser,
         # below sql will give the same
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
index d6d4eae97..a1a95524e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
@@ -937,7 +937,7 @@ class TableView(BaseTableView, DataTypeReader, SchemaDiffTableCompare):
             if not status:
                 return internal_server_error(errormsg=new_scid)
 
-            # we need oid to to add object in tree at browser
+            # we need oid to add object in tree at browser
             sql = render_template(
                 "/".join([self.table_template_path, self._OID_SQL]),
                 scid=new_scid, data=data
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
index 472d8c38b..d75515398 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
@@ -413,7 +413,7 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
         if not status:
             return internal_server_error(errormsg=res)
 
-        # we need oid to to add object in tree at browser
+        # we need oid to add object in tree at browser
         SQL = render_template(
             "/".join([self.template_path, 'get_position.sql']),
             tid=tid, data=data
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
index b190cfae3..f8f726b10 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
@@ -528,7 +528,7 @@ class CompoundTriggerView(PGChildNodeView, SchemaDiffObjectCompare):
             if not status:
                 return internal_server_error(errormsg=res)
 
-            # we need oid to to add object in tree at browser
+            # we need oid to add object in tree at browser
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
                                   tid=tid, data=data)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
index 31103f0dc..91deca0fb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
@@ -631,7 +631,7 @@ class IndexesView(PGChildNodeView, SchemaDiffObjectCompare):
                     self.conn.execute_scalar("END;")
                     return internal_server_error(errormsg=res)
 
-            # we need oid to to add object in tree at browser
+            # we need oid to add object in tree at browser
             SQL = render_template(
                 "/".join([self.template_path, self._OID_SQL]),
                 tid=tid, data=data
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py
index 4e9a18b5a..d038d745a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/__init__.py
@@ -379,7 +379,7 @@ class RowSecurityView(PGChildNodeView):
             if not status:
                 return internal_server_error(errormsg=res)
 
-            # we need oid to to add object in tree at browser
+            # we need oid to add object in tree at browser
             sql = render_template(
                 "/".join([self.template_path, 'get_position.sql']),
                 tid=tid, data=data
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
index 6ce42f664..5c0ce8a94 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
@@ -621,7 +621,7 @@ class TriggerView(PGChildNodeView, SchemaDiffObjectCompare):
             if not status:
                 return internal_server_error(errormsg=res)
 
-            # we need oid to to add object in tree at browser
+            # we need oid to add object in tree at browser
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
                                   tid=tid, data=data)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
index 18fd8fb54..64f582d92 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
@@ -1053,7 +1053,7 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                 if not status:
                     return internal_server_error(errormsg=scid)
 
-            # we need oid to to add object in tree at browser
+            # we need oid to add object in tree at browser
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
                                   scid=scid, data=data)
diff --git a/web/pgadmin/static/js/tree/tree.js b/web/pgadmin/static/js/tree/tree.js
index c007d435d..68ade0715 100644
--- a/web/pgadmin/static/js/tree/tree.js
+++ b/web/pgadmin/static/js/tree/tree.js
@@ -403,7 +403,7 @@ export class Tree {
   /**
    * As the name hints this functions works as a layer in between ACI and
    * the adaptor. Given a ACITree JQuery node find the location of it in the
-   * Tree and then returns and array with the path to to the Tree Node in
+   * Tree and then returns and array with the path to the Tree Node in
    * question
    *
    * This is not optimized and will always go through the full tree
